<template>
  <div>
    <el-dialog title="上传文件" :visible.sync="dialogFileUploadVisible" width="120">
    <el-upload
      drag
      :action="action"
      multiple>
      <i class="el-icon-upload"></i>
      <div class="el-upload__text">将文件拖到此处，或<em>点击上传</em></div>
    </el-upload>
    </el-dialog>
  </div>
</template>
<script>
export default {
  name: 'HBody',

  components: {},
  props: {
    isCollapse: null
  },
  data() {
    return {
      menuList: [],
      dialogFileUploadVisible: false,
      action: '',
      icon: 'el-icon-message',
      clientHeight: 'height 500px'
    }
  },

  mounted() {
    this._getHeight()
  },

  methods: {
    handleSelect(key, keyPath) {
      console.log('KEYpATH===========', keyPath)
      this.$router.push(keyPath[1])
    },
    _open(url) {
      this.dialogFileUploadVisible = true
      this.action = url
    },

    _getHeight() {
      this.clientHeight =
        'height: ' + (document.documentElement.clientHeight - 100) + 'px;'
    }
  }
}
</script>

<style scoped>
.el-menu-vertical-demo:not(.el-menu--collapse) {
  width: 120px;
  min-height: 200px;
}
</style>
